#!/bin/bash
#
# Compile MKSearch using GCJ
#
# Created:  2004-10-19
# Issued:   2004-10-19
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

echo ""
echo "Cleaning build directory..."

rm -rf $mk_build

echo ""
echo "Preparing build directory..."

mkdir -p $mk_build

echo ""
echo "Compiling MKSearch..."

gcj -classpath $mk_build:$mk_home/lib/sesame.jar:$mk_home/lib/jspider.jar:$mk_home/lib/gnu-jaxp.jar:$mk_home/lib/gnu-servlet.jar:$mk_home/lib/jtidy.jar -C -d $mk_build $mk_home/src/com/mkdoc/**/*.java

echo ""
echo "MKSearch compiled to $mk_build"
