#!/bin/bash
#
# Run JTidy using GIJ for GNU/Linux
#
# Created:  2004-10-27
# Issued:   2004-10-27
# Modified: 2004-10-27
#
###########################################################

# JTidy arguments are not documented independently, see

# http://www.w3.org/People/Raggett/tidy/

# Assign any number of arguments to an array for play-back
j=o
for i in $@
  do
    array[$j]=$i
    j=$j+1
  done

gij --classpath $CLASSPATH:$mk_home/lib/gnu-jaxp.jar:$mk_home/lib/jtidy.jar org.w3c.tidy.Tidy ${array[@]:0}
