#!/bin/bash
#
# Generate a JAR archive of JTidy using fastjar
#
# Created:  2004-10-27
# Issued:   2004-10-27
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

# Compile the source
$mk_home/bin/compile-jtidy.sh

# Change to base directory to root the archive correctly
cd $mk_build/jtidy

# Call GCJ fastjar on the current directory
jar cvf $mk_home/lib/jtidy.jar .

echo ""
echo "JTidy archived to $mk_home/lib/jtidy.jar"
