#!/bin/bash
#
# Generate a source listing
#
# Created:  2004-12-08
# Issued:   2004-12-09
# Modified: 2004-12-09
#
###########################################################

mk_list=`dirname $0`

if [ $# = 2 ]

then

  find $1 -name *.java > $mk_list/$2-src.txt

else

  echo ""
  echo "Error, incorrect parameters"
  echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~"
  echo "Use: \$mk_home/bin/util/source-list.sh <source-path> <file-prefix>"
  echo ""
  echo "  e.g. \$mk_home/bin/util \$mk_home/lib-src/sesame sesame"
  echo ""
  echo "To generate a source listing file at:"
  echo ""
  echo "  $mk_list/sesame-src.txt"

fi
