#!/bin/bash
#
# Compile JTidy using GCJ
#
# Created:  2004-10-27
# Issued:   2004-10-27
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

echo ""
echo "Cleaning build directory..."

rm -rf $mk_build/jtidy

echo ""
echo "Preparing build directory..."

mkdir -p $mk_build/jtidy

# Excludes the packages provided by GNU JAXP 1.3:
#
#  * org.xml.sax
#  * org.w3c.dom
#
###########################################################
echo ""
echo "Compiling JTidy..."

gcj --encoding=ISO-8859-1 -classpath $mk_build/jtidy:$mk_home/lib/gnu-jaxp.jar -C -d $mk_build/jtidy $mk_home/lib-src/jtidy/org/w3c/tidy/*.java

echo ""
echo "Copying the message properties file..."
cp $mk_home/lib-src/jtidy/org/w3c/tidy/TidyMessages.properties $mk_build/jtidy/org/w3c/tidy

echo ""
echo "JTidy compiled to $mk_build/jtidy"
