#!/bin/bash
#
# Run JSpider using GIJ for GNU/Linux
#
# Created:  2004-11-16
# Issued:   2004-11-16
# Modified: 2005-01-07
#
###########################################################

if [ $# = 2 ]

then

  gij --classpath $mk_home/lib/gnu-jaxp.jar:$CLASSPATH:$mk_home/lib/jspider.jar:$mk_home/lib/sesame.jar:$mk_home/lib/jtidy.jar:$mk_home/dist/mksearch.jar:$mk_home/lib-opt/commons-logging.jar -Djspider.home=$mk_home net.javacoding.jspider.JSpider $1 $2

else

  echo ""
  echo "Error, incorrect parameters"
  echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~"
  echo ""
  echo "Use: \$mk_home/bin/gij-jspider.sh <base-url> <configuration>"
  echo ""
  echo "  e.g. \$mk_home/bin/gij-jspider.sh http://test.mksearch.mkdoc.org/ jtidy"
  echo ""
  echo "To generate a tidied mirror using the configuration set at:"
  echo ""
  echo "  $mk_home/conf/jtidy"

fi
