#!/bin/bash
#
# Generate a JAR archive of GNU JAXP using fastjar
#
# Created:  2004-10-18
# Issued:   2004-10-18
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

# Compile the source
$mk_home/bin/compile-jaxp.sh

# Change to base directory to root the archive correctly
cd $mk_build/jaxp

# Call GCJ fastjar on the current directory
jar cvfM $mk_home/lib/gnu-jaxp.jar .

echo ""
echo "GNU JAXP archived to $mk_home/lib/gnu-jaxp.jar"
