package net.javacoding.jspider.core.util.http;

import net.javacoding.jspider.api.model.HTTPHeader;

import java.net.URLConnection;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.Set;

/**
 * $Id: HTTPHeaderUtil.java,v 1.2 2003/03/08 19:52:02 vanrogu Exp $
 */
public class HTTPHeaderUtil {

    public static HTTPHeader[] getHeaders ( URLConnection connection ) {
        
        ArrayList arrayList = new ArrayList( );

        String headerKey = null;
        String headerValue = null;

        Map keyMap = connection.getHeaderFields();

        Set keySet = keyMap.keySet();
        
        Iterator keys = keySet.iterator();
        
        HTTPHeader header = null;
        
        List valueList = null;
        
        ListIterator values = null;
        
        while (keys.hasNext()) {

            headerKey = (String) keys.next();
                
            valueList = (List) keyMap.get(headerKey);

            values = valueList.listIterator();
                
            while (values.hasNext()) {
                        
                headerValue = (String) values.next();
                    
                header = new HTTPHeader(headerKey, headerValue);

                arrayList.add(header);
            }
        }
    
        return (HTTPHeader[]) arrayList.toArray(new HTTPHeader[arrayList.size()]);
    }

}
