package com.mkdoc.util;

/*
    Created:    2005-07-25
    Issued:     2005-07-25
    Modified:   2005-07-25

    Author:     Philip Shaw <phil@mkdoc.com>
    Copyright:  (c) 2005 MKDoc Ltd.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
*/

/**
 *  A runtime exception for application configuration and classpath problems.
 *  @version    0.1 2005-07-25
 *  @author     Philip Shaw <phil@mkdoc.com>
 */
public class ApplicationContextException extends RuntimeException {

    /**
     *  An exception with a summary message.
     *  @param  message The message passed with the exception.
     *  @since  Version 0.1 2005-07-25
     */
    public ApplicationContextException(final String message) {

        super(message);
    }

}
